/* General */

/* Sobreescritura de SCRUD */
.modal-backdrop {
    z-index: 1040;
}

.btn-primary {
    /*background-color: #3276b5;*/
    /*padding: 7px 12px;*/
    /*margin-right: 6px;*/
    /*border-radius: 5px;*/
    /*font-weight: 800;*/
    /*font-size: 14px;*/
}

.hr {
    background-color: #1d71b8;
    height: 1px;
    margin-bottom: 20px;
}

.text-white {
    color: white;
}

/* Menús desplegables: Columnas seleccionables, filtros... */

.table-header .dropdown-menu {
    background-color: #1d71b8;
    /*max-height: max-content !important;*/
    padding: 25px;
    margin-top: 5px;
    /*width: fit-content !important;*/
}

.table-header .dropdown-menu .form-control {
    height: 35px;
    margin-bottom: 5px;
}

.table-header .dropdown-menu .divider {
    background-color: #1d71b8;
}

.table-header .dropdown-menu .btn-primary {
    border: 1px solid white;
    margin: 3px 0;
    padding: 0;
    width: 100%;
}

.table-header .dropdown-menu .btn-primary.selected {
    background-color: #1FBFF7;
}

.table-header .dropdown-menu .btn-primary label {
    cursor: pointer;
    margin-bottom: 0;
    width: 100%;
    padding: 5px;
}

.open>.dropdown-menu {
    width: fit-content !important;
}

.table-navigation {
    font-size: 85%;
    color: gray;
}

.table-navigation select {
    border-radius: 5px;
    padding: 4px;
}

#text-filters-span {
    font-size: 100%;
    font-weight: normal;
    color: #444;
}

#filter-section .locked-filter div,
#filter-section .locked-filter span,
#filter-section .locked-filter a {
    background-color: #edeff5;
}

#quick-filter-search-section .autofilter {
    display: flex;
    float: right;
    margin-bottom: 20px;
}

/* Botones de impresión */

.btn-print {
    padding: 0;
}

.btn-print:active,
.btn-print:focus,
.btn-print:hover {
    box-shadow: none;
}

.btn-print .xls-icon,
.btn-print .csv-icon,
.btn-print .pdf-icon {
    display: inline-block;
    padding: 20px;
}

.btn-print .xls-icon {
    background: url(../images/icons/print/xls-blue.png) no-repeat;
}

.btn-print .csv-icon {
    background: url(../images/icons/print/csv-blue.png) no-repeat;
}

.btn-print .pdf-icon {
    background: url(../images/icons/print/pdf-blue.png) no-repeat;
}

/* Modal */

@media (min-width: 992px) {
    .modal-xl {
        width: 60%;
    }

    .modal-full {
        width: 90%;
    }
}

.placeholder-option {
    visibility: hidden !important;
    height: 0px !important;
    padding: 0px !important;
    margin: 0px !important;
}


/* Pantalla inicio */

.inicio-cabecera {
    background-color: #19242f;
    opacity: .9;
    border-radius: 10px 10px 0 0;
    color: white;
}

.inicio-contenido {
    background-color: #EDEDF7;
    border-radius: 0 0 10px 10px;
}

.inicio-elemento a {
    text-decoration: none;
}

.inicio-img {
    height: 50px;
}

@media (min-width: 992px) {
    .inicio-elemento:not(:first-child) {
        border-left: 2px solid #19242f;
    }

    .inicio-fila:not(:first-child) {
        margin-top: 20px;
    }
}

#header-notifications .dropdown-menu {
    min-width: 250px;
    padding: 10px;
}

.cursor-pointer {
    cursor: pointer;
}

#page-loader {
    z-index: 9999;
}

.required-indicator {
    color: #a94442;
}

.chzntree-container-single .chzntree-search {
    z-index: 10;
}

/* Loader used in page detail  */

.loader-table-detail {
    width: 100px;
    height: 100px;
    border-radius: 100%;
    position: relative;
    margin: 0 auto;
}

.loader-table-detail:before,
.loader-table-detail:after {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    border: 10px solid transparent;
    border-top-color: #3498db;
}

.loader-table-detail:before {
    z-index: 100;
    animation: spin 1s infinite;
}

.loader-table-detail:after {
    border: 10px solid #ccc;
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

#tabla-detalle-buques.disabled {
    opacity: revert;
}

#tabla-detalle-buques .form-group {
    margin-bottom: 0;
}

.chosen-disabled {
    cursor: default;
    opacity: 1 !important;
}

.chosen-disabled .chosen-single {
    background-color: #edeff5;
}

.context-menu__items > li.ulli-cm.hovered > ul.ulli-cm {max-height: fit-content;left: auto;padding-top: 5px;min-width: 100%;}

.row-flex {
    display: flex;
    flex-wrap: wrap; /* permite que las columnas se muevan a la siguiente línea */
}
.row-flex > [class*="col-"] {
    float: none; /* quitar float predeterminado de BS3 */
}